%global commit 6e550af8a907a680dc845c22a7d6c36d89e900c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: abook
Version: 0.6.1
Release: %mkrel 1
License: GPLv2+
URL: http://abook.sourceforge.net/
Summary: Text-based addressbook program for mutt
Source0: http://abook.sourceforge.net/devel/abook-%{version}.tar.gz
# preserve all fields by default
Patch0: %{name}-preserve.patch
# 0618ad6 fixed bug #6 (https://sourceforge.net/p/abook/bugs/6/)
Patch1: 0001-fixed-bug-6.patch
# 02ac0ce doc: manpage mention of the -f option + fix for bug #8 (https://sourceforge.net/p/abook/bugs/8/)
Patch2: 0002-doc-manpage-mention-of-the-f-option-fix-for-bug-8.patch
# 54f8e4a build: fix compilation when used with GCC -std=gnu99 or -std=gnu11 
Patch3: 0003-build-fix-compilation-when-used-with-GCC-std-gnu99-o.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
Group:		Networking/Mail

%description
Abook is a small and powerful text-based addressbook program
designed for use with the mutt mail client.

%prep
%setup -q
%patch0 -p1 -b .p
%patch1 -p1
%patch2 -p1
%patch3 -p1
autoreconf -vif

%build
./configure --prefix=/usr
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=$RPM_BUILD_ROOT install
# generate localized files list
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog FAQ README RELEASE_NOTES THANKS TODO sample.abookrc
%{_bindir}/abook
%{_mandir}/man1/abook.*
%{_mandir}/man5/abookrc.*

%changelog
